org.red5.server.api.stream

## Interface IPlaylistController

All Known Implementing Classes:
  SimplePlaylistController

    public interface IPlaylistController

A play list controller that controls the order of play items.

Author:
  The Red5 Project (red5@osflash.org), Steven Gong (steven.gong@gmail.com)

### Method Summary

Methods
`int` `nextItem(IPlaylist playlist, int itemIndex)` Get next item to play.
`int` `previousItem(IPlaylist playlist, int itemIndex)` Get previous item to play.

### Method Detail

#### nextItem

    int nextItem(IPlaylist playlist,
               int itemIndex)

Get next item to play.

Parameters:
  `playlist` - The related play list.
  `itemIndex` - The current item index. `-1` indicates to retrieve the first item for play.
Returns:
  The next item index to play. `-1` reaches the end.

#### previousItem

    int previousItem(IPlaylist playlist,
                   int itemIndex)

Get previous item to play.

Parameters:
  `playlist` - The related play list.
  `itemIndex` - The current item index. `IPlaylist.itemSize` indicated to retrieve the last item for play.
Returns:
  The previous item index to play. `-1` reaches the beginning.